1. Customer
SimplySIM API
  • SimplySIM API Documentation
  • Customer
    • Login
      POST
    • Login via Key
      GET
    • Show User Details
      GET
    • Logout
      GET
  • Destination
    • Destinations
      GET
    • Specific Destination
      GET
  • eSIM
    • List User eSIMS
      GET
    • Get User eSIM
      GET
    • Get ESIM from Key
      GET
  1. Customer

Login via Key

Developing
GET
customer/link/{key}

Request

Path Params

Header Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://simplysim.co.uk/api/customer/link/' \
--header 'X-Api-Key: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.IiI.JewV4wLVvjmGd7cvZh3bUO0DSXNO32Nc7_W8m4C8qtQ'
Response Response Example
Success
{
    "success": true,
    "statusCode": 200,
    "message": "",
    "data": {
        "user_ID": "1",
        "user_thumb": "",
        "user_firstname": "Test",
        "user_surname": "User",
        "user_affiliate_code": "TESTUSER123",
        "user_username": "test@simplysim.co.uk",
        "user_password": "$2y$10$DO8LrQ5d.VlstyNJD1CCquiKvsEsBQ4c4iZYtfCVonHjm0UWuwFOK",
        "user_mobile": "+447777777777",
        "user_country": "GB",
        "user_enabled": "1",
        "user_verified": "1",
        "user_initial_setup": "0",
        "user_created": "2025-05-21 16:31:46",
        "user_last_logged_in": "2025-05-21 17:08:55",
        "user_verification_code": "234rfwfw54tgsrbrtgbhyww54twgw5tt",
        "user_reset_token": null,
        "user_reset_requested": null,
        "user_login_key": "dfgbg4r5hen45y45yhhdynjhj566u8u7idgfh45r3w456rdsthyr676575e67hy6",
        "user_ip": "85.255.27.211",
        "user_user_agent": "Apidog/1.0.0 (https://apidog.com)",
        "user_admin": "0",
        "user_balance": "0",
        "thumb": "https://ui-avatars.com/api/?name=Test+User&background=random&bold=true&uppercase=true&rounded=true"
    },
    "timestamp": "2025-05-21T17:08:55+01:00"
}
Modified at 2025-05-21 16:37:44
Previous
Login
Next
Show User Details
Built with